<form [formGroup]="form" class="container">
    <button
      mat-flat-button 
      type="button"
      color="primary"
      (click)="agregarMat()"
      class="add">
      +
    </button>
    <button 
      mat-flat-button 
      type="button"
      color="warn"
      (click)="eliminarUtiles()"
      class="delete">
      Eliminar Todo
    </button>
  <div formArrayName="utiles">
    
    <form [formGroup]="formB">
      <p *ngFor="let util of MatEscolar.controls; let id = index">
        <mat-form-field appearance="fill" class="inputN">
          <mat-label>Utiles escolares</mat-label>
            <input 
              matInput type="text" 
              placeholder="Ingrese material"
              formControlName="name"
              class="name"
              [class.is-invalid]="nombreInvalido">
        <mat-error *ngIf="nombreInvalido">Solo debe ingresar letras y numeros</mat-error>
          </mat-form-field>
              <mat-checkbox 
                  class="example-margin"
                  formControlName="condicion"
                  class="condicion">
                  Aceptar
            </mat-checkbox>
        <button 
          mat-flat-button 
          type="text"
          color="warn"
          (click)="eliminarMat(id)"
          class="eliminar">
          Eliminar
        </button>
      </p>
  <button mat-raised-button color="accent" (click)="saveBox()" [disabled]="formB.invalid">Guardar</button>
  <button mat-button color="primary" (click)="cleanBox()">Limpiar</button>
</form> 
</div>
<div [innerHTML]="ListaFinal" class="lista-utiles">Lista de utiles guardados:</div>
</form>
